//---------------------------------------------------------------------------

#ifndef MachineEnvSetup_FormH
#define MachineEnvSetup_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "Environment.h"
#include "TntExtCtrls.hpp"
#include "TntStdCtrls.hpp"
#include "TntForms.hpp"
//---------------------------------------------------------------------------
class TMachineEnvSetupForm : public TTntForm
{
__published:	// IDE-managed Components
    TTntPanel *Panel1;
    TTntPanel *Panel2;
    TTntButton *ExitButton;
    TTntButton *SetupButton;
    TTntPanel *Panel3;
    TTntGroupBox *GroupBox1;
    TTntLabel *Label15;
    TTntLabel *Label17;
    TTntLabel *Label18;
    TTntLabel *Label20;
    TTntLabel *Label1;
    TTntLabel *Label2;
    TTntLabel *Label3;
    TTntLabel *Label4;
    TTntPanel *DustBlowerGlobalEnablePanel;
    TTntPanel *DustBlowerGlobalDisablePanel;
    TTntPanel *DustBlower1AlwaysOnPanel;
    TTntPanel *DustBlower1TempOnPanel;
    TTntPanel *DustBlower1AlwaysOffPanel;
    TTntPanel *DustBlower2AlwaysOnPanel;
    TTntPanel *DustBlower2TempOnPanel;
    TTntPanel *DustBlower2AlwaysOffPanel;
    TTntPanel *DustBlower3AlwaysOnPanel;
    TTntPanel *DustBlower3TempOnPanel;
    TTntPanel *DustBlower3AlwaysOffPanel;
    TTntPanel *DustBlower4AlwaysOnPanel;
    TTntPanel *DustBlower4TempOnPanel;
    TTntPanel *DustBlower4AlwaysOffPanel;
    TTntEdit *Blower1IntervalEdit;
    TTntEdit *Blower2IntervalEdit;
    TTntEdit *Blower3IntervalEdit;
    TTntEdit *Blower4IntervalEdit;
    TTntEdit *Blower1DelayEdit;
    TTntEdit *Blower2DelayEdit;
    TTntEdit *Blower3DelayEdit;
    TTntEdit *Blower4DelayEdit;
    TTntEdit *Blower1BlowTimeEdit;
    TTntEdit *Blower2BlowTimeEdit;
    TTntEdit *Blower3BlowTimeEdit;
    TTntEdit *Blower4BlowTimeEdit;
	TTntLabel *Label5;
	TTntPanel *DustBlower5AlwaysOnPanel;
	TTntPanel *DustBlower5TempOnPanel;
	TTntPanel *DustBlower5AlwaysOffPanel;
	TTntEdit *Blower5IntervalEdit;
	TTntEdit *Blower5DelayEdit;
	TTntEdit *Blower5BlowTimeEdit;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall SetupButtonClick(TObject *Sender);
    void __fastcall DustBlower1AlwaysOnPanelClick(TObject *Sender);
    void __fastcall DustBlower2AlwaysOnPanelClick(TObject *Sender);
    void __fastcall DustBlower3AlwaysOnPanelClick(TObject *Sender);
    void __fastcall DustBlower4AlwaysOnPanelClick(TObject *Sender);
    void __fastcall DustBlower1TempOnPanelClick(TObject *Sender);
    void __fastcall DustBlower2TempOnPanelClick(TObject *Sender);
    void __fastcall DustBlower3TempOnPanelClick(TObject *Sender);
    void __fastcall DustBlower4TempOnPanelClick(TObject *Sender);
    void __fastcall DustBlower1AlwaysOffPanelClick(TObject *Sender);
    void __fastcall DustBlower2AlwaysOffPanelClick(TObject *Sender);
    void __fastcall DustBlower3AlwaysOffPanelClick(TObject *Sender);
    void __fastcall DustBlower4AlwaysOffPanelClick(TObject *Sender);
    void __fastcall DustBlowerGlobalDisablePanelClick(TObject *Sender);
    void __fastcall DustBlowerGlobalEnablePanelClick(TObject *Sender);
    void __fastcall BlowerEditClick(TObject *Sender);
    void __fastcall Blower1IntervalEditChange(TObject *Sender);
	void __fastcall DustBlower5AlwaysOnPanelClick(TObject *Sender);
	void __fastcall DustBlower5TempOnPanelClick(TObject *Sender);
	void __fastcall DustBlower5AlwaysOffPanelClick(TObject *Sender);
private:	// User declarations
    TUserMachineEnv TempUserMachineEnv;

    void __fastcall RefreshComponents(void);
    void __fastcall GetDefaultString();
public:		// User declarations
    __fastcall TMachineEnvSetupForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMachineEnvSetupForm *MachineEnvSetupForm;
//---------------------------------------------------------------------------
#endif
